interactions:
- request:
    body: '{"contents": [{"parts": [{"text": "\nCurrent Task: Analyze the benefits
      of remote work briefly. Keep it concise.\n\nProvide your complete response:"}],
      "role": "user"}], "systemInstruction": {"parts": [{"text": "You are Analyst.
      You are an expert analyst who provides clear, structured insights.\nYour personal
      goal is: Provide structured analysis on topics"}], "role": "user"}, "generationConfig":
      {"stopSequences": ["\nObservation:"], "responseMimeType": "application/json",
      "responseJsonSchema": {"description": "Structured output for analysis results.",
      "properties": {"topic": {"description": "The topic analyzed", "title": "Topic",
      "type": "string"}, "key_points": {"description": "Key insights from the analysis",
      "items": {"type": "string"}, "title": "Key Points", "type": "array"}, "summary":
      {"description": "Brief summary of findings", "title": "Summary", "type": "string"}},
      "required": ["topic", "key_points", "summary"], "title": "AnalysisResult", "type":
      "object", "additionalProperties": false, "propertyOrdering": ["topic", "key_points",
      "summary"]}}}'
    headers:
      User-Agent:
      - X-USER-AGENT-XXX
      accept:
      - '*/*'
      accept-encoding:
      - ACCEPT-ENCODING-XXX
      connection:
      - keep-alive
      content-length:
      - '1068'
      content-type:
      - application/json
      host:
      - generativelanguage.googleapis.com
      x-goog-api-client:
      - google-genai-sdk/1.49.0 gl-python/3.13.3
      x-goog-api-key:
      - X-GOOG-API-KEY-XXX
    method: POST
    uri: https://generativelanguage.googleapis.com/v1beta/models/gemini-2.5-flash:generateContent
  response:
    body:
      string: "{\n  \"candidates\": [\n    {\n      \"content\": {\n        \"parts\":
        [\n          {\n            \"text\": \"{\\\"topic\\\":\\\"Benefits of Remote
        Work\\\",\\\"key_points\\\":[\\\"Increased employee flexibility and work-life
        balance\\\",\\\"Reduced operational costs for businesses (e.g., office space)\\\",\\\"Access
        to a broader global talent pool\\\",\\\"Potential for increased productivity
        due to fewer distractions and commute stress\\\"],\\\"summary\\\":\\\"Remote
        work offers significant advantages for both employees and employers, enhancing
        flexibility, reducing costs, and expanding talent opportunities while potentially
        boosting overall productivity and employee well-being.\\\"}\"\n          }\n
        \       ],\n        \"role\": \"model\"\n      },\n      \"finishReason\":
        \"STOP\",\n      \"index\": 0\n    }\n  ],\n  \"usageMetadata\": {\n    \"promptTokenCount\":
        51,\n    \"candidatesTokenCount\": 90,\n    \"totalTokenCount\": 303,\n    \"promptTokensDetails\":
        [\n      {\n        \"modality\": \"TEXT\",\n        \"tokenCount\": 51\n
        \     }\n    ],\n    \"thoughtsTokenCount\": 162\n  },\n  \"modelVersion\":
        \"gemini-2.5-flash\",\n  \"responseId\": \"BVCOadCMIJvSjMcP2vLD-AE\"\n}\n"
    headers:
      Alt-Svc:
      - h3=":443"; ma=2592000,h3-29=":443"; ma=2592000
      Content-Type:
      - application/json; charset=UTF-8
      Date:
      - Thu, 12 Feb 2026 22:11:17 GMT
      Server:
      - scaffolding on HTTPServer2
      Server-Timing:
      - gfet4t7; dur=1708
      Transfer-Encoding:
      - chunked
      Vary:
      - Origin
      - X-Origin
      - Referer
      X-Content-Type-Options:
      - X-CONTENT-TYPE-XXX
      X-Frame-Options:
      - X-FRAME-OPTIONS-XXX
      X-XSS-Protection:
      - '0'
    status:
      code: 200
      message: OK
- request:
    body: '{"contents": [{"parts": [{"text": "\nCurrent Task: Analyze the benefits
      of remote work briefly. Keep it concise.\n\nProvide your complete response:"}],
      "role": "user"}], "systemInstruction": {"parts": [{"text": "You are Analyst.
      You are an expert analyst who provides clear, structured insights.\nYour personal
      goal is: Provide structured analysis on topics"}], "role": "user"}, "generationConfig":
      {"stopSequences": ["\nObservation:"], "responseMimeType": "application/json",
      "responseJsonSchema": {"description": "Structured output for analysis results.",
      "properties": {"topic": {"description": "The topic analyzed", "title": "Topic",
      "type": "string"}, "key_points": {"description": "Key insights from the analysis",
      "items": {"type": "string"}, "title": "Key Points", "type": "array"}, "summary":
      {"description": "Brief summary of findings", "title": "Summary", "type": "string"}},
      "required": ["topic", "key_points", "summary"], "title": "AnalysisResult", "type":
      "object", "additionalProperties": false, "propertyOrdering": ["topic", "key_points",
      "summary"]}}}'
    headers:
      User-Agent:
      - X-USER-AGENT-XXX
      accept:
      - '*/*'
      accept-encoding:
      - ACCEPT-ENCODING-XXX
      connection:
      - keep-alive
      content-length:
      - '1068'
      content-type:
      - application/json
      host:
      - generativelanguage.googleapis.com
      x-goog-api-client:
      - google-genai-sdk/1.49.0 gl-python/3.13.3
      x-goog-api-key:
      - X-GOOG-API-KEY-XXX
    method: POST
    uri: https://generativelanguage.googleapis.com/v1beta/models/gemini-2.5-flash:generateContent
  response:
    body:
      string: "{\n  \"candidates\": [\n    {\n      \"content\": {\n        \"parts\":
        [\n          {\n            \"text\": \"{\\\"topic\\\":\\\"Benefits of Remote
        Work\\\",\\\"key_points\\\":[\\\"Increased flexibility for employees\\\",\\\"Reduced
        overhead costs for employers\\\",\\\"Access to a wider talent pool\\\",\\\"Improved
        work-life balance\\\",\\\"Potential for higher productivity\\\"],\\\"summary\\\":\\\"Remote
        work offers significant advantages for both employees and employers, including
        greater flexibility, cost savings, broader talent access, and enhanced work-life
        balance, often leading to increased productivity.\\\"}\"\n          }\n        ],\n
        \       \"role\": \"model\"\n      },\n      \"finishReason\": \"STOP\",\n
        \     \"index\": 0\n    }\n  ],\n  \"usageMetadata\": {\n    \"promptTokenCount\":
        51,\n    \"candidatesTokenCount\": 79,\n    \"totalTokenCount\": 169,\n    \"promptTokensDetails\":
        [\n      {\n        \"modality\": \"TEXT\",\n        \"tokenCount\": 51\n
        \     }\n    ],\n    \"thoughtsTokenCount\": 39\n  },\n  \"modelVersion\":
        \"gemini-2.5-flash\",\n  \"responseId\": \"BlCOafrvKOTJjMcPifnOwA8\"\n}\n"
    headers:
      Alt-Svc:
      - h3=":443"; ma=2592000,h3-29=":443"; ma=2592000
      Content-Type:
      - application/json; charset=UTF-8
      Date:
      - Thu, 12 Feb 2026 22:11:18 GMT
      Server:
      - scaffolding on HTTPServer2
      Server-Timing:
      - gfet4t7; dur=1037
      Transfer-Encoding:
      - chunked
      Vary:
      - Origin
      - X-Origin
      - Referer
      X-Content-Type-Options:
      - X-CONTENT-TYPE-XXX
      X-Frame-Options:
      - X-FRAME-OPTIONS-XXX
      X-XSS-Protection:
      - '0'
    status:
      code: 200
      message: OK
version: 1
